<?php

namespace App\Http\Middleware;

use Closure;
use Auth;
class CheckTerminalStatus
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::guard('terminal')->check()) {
            $user = terminal();
            if ($user->status  && $user->ev  && $user->sv  && $user->tv) {
                return $next($request);
            } else {
                return redirect()->route('terminal.authorization');
            }
        }
        abort(403);
    }
}
